<?php

/**
 * disable texturization
 *
 * https://wordpress.org/plugins/disabler/
 */

if( isset($options_advanced['aiows_disable_texturization_checkbox']) && ($options_advanced['aiows_disable_texturization_checkbox'] == 1) ) {
    remove_filter('comment_text', 'wptexturize');
    remove_filter('the_content', 'wptexturize');
    remove_filter('the_excerpt', 'wptexturize');
    remove_filter('the_title', 'wptexturize');
    remove_filter('the_content_feed', 'wptexturize');
}

/**
 * disable auto correct
 *
 * https://wordpress.org/plugins/disabler/
 */

if( isset($options_advanced['aiows_disable_auto_correct_checkbox']) && ($options_advanced['aiows_disable_auto_correct_checkbox'] == 1) ) {
    remove_filter('the_content','capital_P_dangit');
    remove_filter('the_title','capital_P_dangit');
    remove_filter('comment_text','capital_P_dangit');
}


/**
 * disable autoparagraph
 *
 * https://wordpress.org/plugins/disabler/
 */

if( isset($options_advanced['aiows_disable_auto_paragraph_checkbox']) && ($options_advanced['aiows_disable_auto_paragraph_checkbox'] == 1) ) {
    remove_filter('the_content', 'wpautop');
}

    /**
 * disableself ping
 *
 * https://wordpress.org/plugins/disabler/
 */

    //disable self ping
if( isset($options_advanced['aiows_disable_self_ping_checkbox']) && ($options_advanced['aiows_disable_self_ping_checkbox'] == 1) ) {
    function aiows_no_self_ping( &$links ) {
    $home = get_option( 'home' );
    foreach ( $links as $l => $link )
        if ( 0 === strpos( $link, $home ) )
            unset($links[$l]);
    }
    add_action( 'pre_ping', 'aiows_no_self_ping' );
}

/*
 * enable shortcodes
 */

if( isset($options_advanced['aiows_hide_pages_search_result_checkbox']) && ($options_advanced['aiows_hide_pages_search_result_checkbox'] == 1) ) {

//http://www.wpbeginner.com/wp-tutorials/how-to-exclude-pages-from-wordpress-search-results/
function aiows_SearchFilter($query) {

if ($query->is_search) {
$query->set('post_type', 'post');
}
return $query;
}

add_filter('pre_get_posts','aiows_SearchFilter');
}



/*
 * disable search
 */

if( isset($options_advanced['aiows_disable_wp_search_checkbox']) && ($options_advanced['aiows_disable_wp_search_checkbox'] == 1) ) {

function aiows_filter_query( $query, $error = true ) {

if ( is_search() ) {
$query->is_search = false;
$query->query_vars[s] = false;
$query->query[s] = false;

// to error
if ( $error == true )
$query->is_404 = true;
}
}

add_action( 'parse_query', 'aiows_filter_query' );
add_filter( 'get_search_form', create_function( '$a', "return null;" ) );
}

/*
 * replace howdy
 */

if( isset($options_advanced['aiows_replace_howdy_welcome_checkbox']) && ($options_advanced['aiows_replace_howdy_welcome_checkbox'] == 1) ) {

function aiows_replace_howdy_text( $wp_admin_bar ) {
    $my_account=$wp_admin_bar->get_node('my-account');
    $newtitle = str_replace( 'Howdy,', 'Welcome,', $my_account->title );
    $wp_admin_bar->add_node( array(
        'id' => 'my-account',
        'title' => $newtitle,
    ) );
}
add_filter( 'admin_bar_menu', 'aiows_replace_howdy_text', 25 );

}

/*
 * enable shortcodes
 */

if( isset($options_advanced['aiows_enable_shortcodes_checkbox']) && ($options_advanced['aiows_enable_shortcodes_checkbox'] == 1) ) {
    add_filter( 'widget_text', 'shortcode_unautop');
    add_filter( 'widget_text', 'do_shortcode');
    add_filter( 'the_excerpt', 'shortcode_unautop');
    add_filter( 'the_excerpt', 'do_shortcode');
    add_filter( 'term_description', 'shortcode_unautop');
    add_filter( 'term_description', 'do_shortcode' );
    add_filter( 'comment_text', 'shortcode_unautop');
    add_filter( 'comment_text', 'do_shortcode' );
}

/*
 * enable sanitize
 */

if( isset($options_advanced['aiows_enable_sanitize_checkbox']) && ($options_advanced['aiows_enable_sanitize_checkbox'] == 1) ) {
   require_once( plugin_dir_path( __FILE__ ) . 'inc/class-sanitize.php' );
}

/*
 * remove wp page title
 */

if( isset($options_advanced['aiows_remove_page_title_checkbox']) && ($options_advanced['aiows_remove_page_title_checkbox'] == 1) ) {
  
  // https://wordpress.stackexchange.com/questions/17025/change-page-title-in-admin-area/17034#17034

add_filter('admin_title', 'aiows_custom_admin_title', 10, 2);

function aiows_custom_admin_title($admin_title, $title)
{
    return $title .' &lsaquo; '. get_bloginfo('name');
}
}

/**
 * remove orphan shortcodes
 */

if( isset($options_advanced['aiows_remove_orphan_shortcodes_checkbox']) && ($options_advanced['aiows_remove_orphan_shortcodes_checkbox'] == 1) ) {
    
    if(!function_exists('aiows_remove_orphan_shortcodes')){

    /* Hook shortcodes removal function to the_content filter */
    add_filter('the_content', 'aiows_remove_orphan_shortcodes', 0);

    /* Main function which finds and hides unused shortcodes */
    function aiows_remove_orphan_shortcodes( $content ) {
        
        if ( false === strpos( $content, '[' ) ) {
            return $content;
        }

        global $shortcode_tags;
        
        //Check for active shortcodes
        $active_shortcodes = ( is_array( $shortcode_tags ) && !empty( $shortcode_tags ) ) ? array_keys( $shortcode_tags ) : array();
        
        //Avoid "/" chars in content breaks preg_replace
        $hack1 = md5( microtime() );
        $content = str_replace( "[/", $hack1, $content );
        $hack2 = md5( microtime() + 1 );
        $content = str_replace( "/", $hack2, $content ); 
        $content = str_replace( $hack1, "[/", $content );
        
        
        if(!empty($active_shortcodes)){
            //Be sure to keep active shortcodes
            $keep_active = implode("|", $active_shortcodes);
            $content= preg_replace( "~(?:\[/?)(?!(?:$keep_active))[^/\]]+/?\]~s", '', $content );
        } else {
            //Strip all shortcodes
            $content = preg_replace("~(?:\[/?)[^/\]]+/?\]~s", '', $content);            
        }
        
        //Set "/" back to its place
        $content = str_replace($hack2,"/",$content); 
            
        return $content;
    }
}
}

/*
 * plugin last update
 */

if( isset($options_advanced['aiows_enable_plugin_last_update_checkbox']) && ($options_advanced['aiows_enable_plugin_last_update_checkbox'] == 1) ) {
    
   require_once( plugin_dir_path( __FILE__ ) . 'inc/class-plugin-last-updated.php' );
}

/*
 * disble patent category
 */

if( isset($options_advanced['aiows_disable_selection_patent_checkbox']) && ($options_advanced['aiows_disable_selection_patent_checkbox'] == 1) ) {
    
// https://wordpress.stackexchange.com/questions/22836/make-parent-categories-not-selectable/58525#58525

add_action( 'admin_footer-post.php', 'aiows_remove_top_categories_checkbox' );
add_action( 'admin_footer-post-new.php', 'aiows_remove_top_categories_checkbox' );

function aiows_remove_top_categories_checkbox()
{
    global $post_type;

    if ( 'post' != $post_type )
        return;
    ?>
        <script type="text/javascript">
            jQuery("#categorychecklist>li>label input").each(function(){
                jQuery(this).remove();
            });
        </script>
    <?php
}

   }

 /*
 * category tree
 */

if( isset($options_advanced['aiows_enable_categoty_tree_checkbox']) && ($options_advanced['aiows_enable_categoty_tree_checkbox'] == 1) ) {
    
 require_once( plugin_dir_path( __FILE__ ) . 'inc/class-category-checklist-tree.php' );

}

/**
 * AIO WP Solution admina bar option removal
 */

if( isset($options_advanced['aiows_remove_wpsolution_adminbar_checkbox']) && ($options_advanced['aiows_remove_wpsolution_adminbar_checkbox'] == 1) ) {
    
   } else {

/**
 * http://www.wpbeginner.com/wp-tutorials/how-to-add-custom-shortcut-links-to-wordpress-toolbar/
 */

// add a link to the WP Toolbar
function aiows_custom_toolbar_link($wp_admin_bar) {
    $args = array(
        'id' => 'aiowp-solution',
        'title' => 'WP Solution', 
        'href' => 'admin.php?page=all-in-one-wp-solution', 
        'meta' => array(
            'class' => 'aiowp-solution', 
            'title' => 'All In One WP Solution'
            )
    );
    $wp_admin_bar->add_node($args);

    // Add the first child link 
    
$args = array(
        'id' => 'aiowp-solution-settings',
        'title' => 'Plugins Settings', 
        'href' => 'admin.php?page=all-in-one-wp-solution',
        'parent' => 'aiowp-solution', 
        'meta' => array(
            'class' => 'aiowp-solution-settings', 
            'title' => 'Plugins Settings'
            )
    );
    $wp_admin_bar->add_node($args);

// Add a child link to the child link

$args = array(
        'id' => 'aiowp-solution-header',
        'title' => 'Header Settings', 
        'href' => 'admin.php?page=all-in-one-wp-solution&tab=header_settings',
        'parent' => 'aiowp-solution-settings', 
        'meta' => array(
            'class' => 'aiowp-solution-header', 
            'title' => 'Header Settings'
            )
    );
    $wp_admin_bar->add_node($args);


    // Add a child link to the child link

$args = array(
        'id' => 'aiowp-solution-privacy',
        'title' => 'Privacy Settings', 
        'href' => 'admin.php?page=all-in-one-wp-solution&tab=privacy_settings',
        'parent' => 'aiowp-solution-settings', 
        'meta' => array(
            'class' => 'aiowp-solution-privacy', 
            'title' => 'Privacy Settings'
            )
    );
    $wp_admin_bar->add_node($args);


    // Add a child link to the child link

$args = array(
        'id' => 'aiowp-solution-login',
        'title' => 'Login Settings', 
        'href' => 'admin.php?page=all-in-one-wp-solution&tab=login_settings',
        'parent' => 'aiowp-solution-settings', 
        'meta' => array(
            'class' => 'aiowp-solution-login', 
            'title' => 'Login Page Settings'
            )
    );
    $wp_admin_bar->add_node($args);

// Add a child link to the child link

$args = array(
        'id' => 'aiowp-solution-security',
        'title' => 'Security Settings', 
        'href' => 'admin.php?page=all-in-one-wp-solution&tab=security_settings',
        'parent' => 'aiowp-solution-settings', 
        'meta' => array(
            'class' => 'aiowp-solution-security', 
            'title' => 'Security Settings'
            )
    );
    $wp_admin_bar->add_node($args);

    // Add a child link to the child link

$args = array(
        'id' => 'aiowp-solution-update',
        'title' => 'Update Settings', 
        'href' => 'admin.php?page=all-in-one-wp-solution&tab=update_settings',
        'parent' => 'aiowp-solution-settings', 
        'meta' => array(
            'class' => 'aiowp-solution-update', 
            'title' => 'Update Settings'
            )
    );
    $wp_admin_bar->add_node($args);

    // Add a child link to the child link

$args = array(
        'id' => 'aiowp-solution-mailing',
        'title' => 'Mail Settings', 
        'href' => 'admin.php?page=all-in-one-wp-solution&tab=mailing',
        'parent' => 'aiowp-solution-settings', 
        'meta' => array(
            'class' => 'aiowp-solution-mailing', 
            'title' => 'Mail Settings'
            )
    );
    $wp_admin_bar->add_node($args);

    // Add another child link

    $args = array(
        'id' => 'aiowp-solution-header-footer',
        'title' => 'Header & Footer', 
        'href' => 'admin.php?page=all-in-one-wp-solution&tab=header_footer',
        'parent' => 'aiowp-solution', 
        'meta' => array(
            'class' => 'aiowp-solution-header-footer', 
            'title' => 'Header & Footer'
            )
    );
    $wp_admin_bar->add_node($args);

    // Add another child link

    $args = array(
        'id' => 'aiowp-solution-maintenance',
        'title' => 'Maintenance Mode', 
        'href' => 'admin.php?page=all-in-one-wp-solution&tab=maintenance',
        'parent' => 'aiowp-solution', 
        'meta' => array(
            'class' => 'aiowp-solution-maintenance', 
            'title' => 'Maintenance Mode'
            )
    );
    $wp_admin_bar->add_node($args);

    // Add another child link

    $args = array(
        'id' => 'aiowp-solution-customize',
        'title' => 'Customize Settings', 
        'href' => 'admin.php?page=all-in-one-wp-solution&tab=customize_settings',
        'parent' => 'aiowp-solution', 
        'meta' => array(
            'class' => 'aiowp-solution-customize', 
            'title' => 'Customize Settings'
            )
    );
    $wp_admin_bar->add_node($args);

// Add a child link to the child link

$args = array(
        'id' => 'aiowp-solution-advanced',
        'title' => 'Advanced Settings', 
        'href' => 'admin.php?page=all-in-one-wp-solution&tab=advanced_settings',
        'parent' => 'aiowp-solution', 
        'meta' => array(
            'class' => 'aiowp-solution-advanced', 
            'title' => 'Advanced Settings'
            )
    );
    $wp_admin_bar->add_node($args);


    // Add another child link

    $args = array(
        'id' => 'aiowp-solution-doc',
        'title' => 'Documentation', 
        'href' => 'admin.php?page=all-in-one-wp-solution&tab=support',
        'parent' => 'aiowp-solution', 
        'meta' => array(
            'class' => 'aiowp-solution-doc', 
            'title' => 'Documentation'
            )
    );
    $wp_admin_bar->add_node($args);

    // Add another child link

    $args = array(
        'id' => 'aiowp-solution-support',
        'title' => 'Support', 
        'href' => 'admin.php?page=all-in-one-wp-solution&tab=support',
        'parent' => 'aiowp-solution', 
        'meta' => array(
            'class' => 'aiowp-solution-support', 
            'title' => 'Support'
            )
    );
    $wp_admin_bar->add_node($args);


    // Add another child link

    $args = array(
        'id' => 'aiowp-solution-faq',
        'title' => 'FAQ', 
        'href' => 'https://wordpress.org/plugins/all-in-one-wp-solution/#faq',
        'parent' => 'aiowp-solution', 
        'meta' => array(
            'class' => 'aiowp-solution-faq', 
            'title' => 'FAQ'
            )
    );
    $wp_admin_bar->add_node($args);

}

if( is_admin() && !is_network_admin() ) {
add_action('admin_bar_menu', 'aiows_custom_toolbar_link', 99);
}
}


/**
 * enable plugin disabler option in plugin page
 */

if( isset($options_advanced['aiows_enable_all_plugins_checkbox']) && ($options_advanced['aiows_enable_all_plugins_checkbox'] == 1) ) {
    
    class aiows_enable_option_plugin_disabler {

    private $disable_action = 'aiows-disable-all-plugins';
    private $restore_action = 'aiows-restore-all-plugins';
    private $mirror = 'aiows_quick_plugin_disabler_temp';
    private $active = 'active_plugins';


    /**
     * Class constructor
     */

    function __construct() {

        //Check disable/revert actions
        add_action( 'admin_init', array( $this, 'check' ) );
        //Display action links
        add_action( 'pre_current_active_plugins', array( $this, 'action_links' ) );
    }

    /**
     * Callback function to display action links for disabling and restoring
     */
    
    function action_links() {

        $active = get_option( $this->active );
        $mirror = get_option( $this->mirror );

        if ( empty( $mirror ) && !empty( $active ) && count( $active ) > 1 ) {
            echo '<a href="'. esc_url( add_query_arg( $this->disable_action, '1', admin_url( 'plugins.php' ) ) ) .'" style="display:block; max-width: 300px;" class="widget-control-remove">'.esc_html__( 'Temporarily disable all active plugins', 'aiows-all-plugin-disable' ).'</a>';
        } else {

            if ( !empty( $mirror ) ) {
                echo '<a href="'. esc_url( add_query_arg( $this->restore_action, '1', admin_url( 'plugins.php' ) ) ).'" style="display:block; max-width: 300px;">'.esc_html__( 'Restore all disabled plugins', 'aiows-all-plugin-disable' ).'</a></div>';
            }
        }

    }

    /**
     * Main function that checks if we should perform disabling or restoring
     */
    
    function check() {

        global $pagenow;

        if ( $pagenow == 'plugins.php' ) {

            if ( isset( $_GET[$this->disable_action] ) && !empty( $_GET[$this->disable_action] ) ) {
                $mirror = get_option( $this->mirror ) ? get_option( $this->mirror ) : array();
                $active = get_option( $this->active ) ? get_option( $this->active ) : array();
                if ( empty( $mirror ) ) {
                    update_option( $this->mirror, $active );
                    update_option( $this->active, array( plugin_basename( __FILE__ ) ) );
                    add_action( 'admin_notices', array( $this, 'disabled_msg' ) );
                }
            }

            if ( isset( $_GET[$this->restore_action] ) && !empty( $_GET[$this->restore_action] ) ) {
                $mirror = get_option( $this->mirror ) ? get_option( $this->mirror ) : array();
                $active = get_option( $this->active ) ? get_option( $this->active ) : array();
                if ( !empty( $mirror ) ) {
                    update_option( $this->active, array_unique( array_merge( $mirror, $active ) ) );
                    delete_option( $this->mirror );
                    add_action( 'admin_notices', array( $this, 'restored_msg' ) );
                }
            }
        }

    }

    /**
     * Callback function to display success message after disabling
     */

    function disabled_msg() {
?>
            <div class="notice notice-success">
            <p><?php esc_html_e( 'All active plugins temporarily disabled.', 'aiows-all-plugin-disable' ); ?></p>
            </div>
        <?php
    }

    /**
     * Callback function to display success message after restoring
     */
    function restored_msg() {
?>
            <div class="notice notice-success">
            <p><?php esc_html_e( 'Plugins restored.', 'aiows-all-plugin-disable' ); ?></p>
            </div>
        <?php
    }
}


/* Init */
new aiows_enable_option_plugin_disabler();
}