<?php

/**
     * remove wp generator meta
     */

if( isset($options_remove['aiows_meta_generator_checkbox']) && ($options_remove['aiows_meta_generator_checkbox'] == 1) ) {
    
    function aiows_remove_version_meta() {
        return '';
    }
    add_filter('the_generator', 'aiows_remove_version_meta');
}

    /**
     * remove wp manifest link
     */

if( isset($options_remove['aiows_meta_wpmanifest_checkbox']) && ($options_remove['aiows_meta_wpmanifest_checkbox'] == 1) ) {
    remove_action('wp_head', 'wlwmanifest_link');
}

    /**
     * remove all rsd links
     */

if( isset($options_remove['aiows_meta_rsd_checkbox']) && ($options_remove['aiows_meta_rsd_checkbox'] == 1) ) {
    add_action('wp', function(){
        remove_action('wp_head', 'rsd_link');
    }, 11);
}

    /**
     * remove all shortlinks
     */

if( isset($options_remove['aiows_meta_short_links_checkbox']) && ($options_remove['aiows_meta_short_links_checkbox'] == 1) ) {
    remove_action( 'wp_head', 'wp_shortlink_wp_head');
}

    /**
     * Remove Previous and next Article Links
     */

if( isset($options_remove['aiows_posts_rel_link_wp_head_checkbox']) && ($options_remove['aiows_posts_rel_link_wp_head_checkbox'] == 1) ) {
    remove_action('wp_head', 'adjacent_posts_rel_link_wp_head');
}

    /**
     * disable feeds
     */

if( isset($options_remove['aiows_meta_feed_disable_checkbox']) && ($options_remove['aiows_meta_feed_disable_checkbox'] == 'Remove Only') ) {
	remove_action( 'wp_head', 'feed_links', 2 );
    remove_action( 'wp_head', 'feed_links_extra', 3 );
}

elseif( isset($options_remove['aiows_meta_feed_disable_checkbox']) && ($options_remove['aiows_meta_feed_disable_checkbox'] == 'Remove & Disable') ) {
    function aiows_disable_feed_meta() {
       wp_die( __('No feed available, please visit our <a href="'. get_bloginfo('url') .'">Homepage</a>!') );
    }
    remove_action( 'wp_head', 'feed_links', 2 );
    remove_action( 'wp_head', 'feed_links_extra', 3 );
    add_action('do_feed', 'aiows_disable_feed_meta', 1);
    add_action('do_feed_rdf', 'aiows_disable_feed_meta', 1);
    add_action('do_feed_rss', 'aiows_disable_feed_meta', 1);
    add_action('do_feed_rss2', 'aiows_disable_feed_meta', 1);
    add_action('do_feed_atom', 'aiows_disable_feed_meta', 1);
    add_action('do_feed_rss2_comments', 'aiows_disable_feed_meta', 1);
    add_action('do_feed_atom_comments', 'aiows_disable_feed_meta', 1);
}

    /**
     * disable xmlrpc
     */

if( isset($options_remove['aiows_meta_xml_rpc_checkbox']) && ($options_remove['aiows_meta_xml_rpc_checkbox'] == 1) ) {
    add_filter( 'xmlrpc_enabled', '__return_false' );
    add_filter('wp_headers', function($headers, $wp_query){
        if (array_key_exists('X-Pingback', $headers)) {
            unset($headers['X-Pingback']);
        }
        return $headers;
        }, 11, 2);
    
	add_filter('bloginfo_url', function($output, $property){
        error_log("====property=" . $property);
        return ($property == 'pingback_url') ? null : $output;
        }, 11, 2);
}

    /**
     * Remove REST API info from head and headers
     */

if( isset($options_remove['aiows_disable_wpjson_restapi_checkbox']) && ($options_remove['aiows_disable_wpjson_restapi_checkbox'] == 1) ) {
    // Filters for WP-API version 1.x
    add_filter( 'json_enabled', '__return_false' );
    add_filter( 'json_jsonp_enabled', '__return_false' );

    // Filters for WP-API version 2.x
    add_filter( 'rest_enabled', '__return_false' );
    add_filter( 'rest_jsonp_enabled', '__return_false' );

    // Remove REST API info from head and headers
    remove_action( 'xmlrpc_rsd_apis', 'rest_output_rsd' );
    remove_action( 'wp_head', 'rest_output_link_wp_head', 10 );
    remove_action( 'template_redirect', 'rest_output_link_header', 11 );
    remove_action( 'auth_cookie_malformed', 'rest_cookie_collect_status' );
    remove_action( 'auth_cookie_expired', 'rest_cookie_collect_status' );
    remove_action( 'auth_cookie_bad_username', 'rest_cookie_collect_status' );
    remove_action( 'auth_cookie_bad_hash', 'rest_cookie_collect_status' );
    remove_action( 'auth_cookie_valid', 'rest_cookie_collect_status' );
    remove_filter( 'rest_authentication_errors', 'rest_cookie_check_errors', 100 );
    
    // Switching off Embeds mixed up with REST API
    remove_action( 'rest_api_init', 'wp_oembed_register_route');
    remove_filter( 'rest_pre_serve_request', '_oembed_rest_pre_serve_request', 10, 4 );
    remove_action( 'wp_head', 'wp_oembed_add_discovery_links' );
}


?>