<?php


/**
 * login with only usename
 */
 
if( isset($options_login['aiows_login_with_username_checkbox']) && ($options_login['aiows_login_with_username_checkbox'] == 1) ) {


//Replace 'Username or Email' input label with 'Username'

function aiows_login_username_label_change( $translated_text, $text, $domain )  {
    if ($text === 'Username or Email Address') {
        $translated_text = __( 'Username' ); // Use WordPress's own translation of 'Username'
    }
    return $translated_text;
}


//Filter text in login head

function aiows_login_username_label() {
    add_filter( 'gettext', 'aiows_login_username_label_change', 20, 3 );
}

add_action( 'login_head', 'aiows_login_username_label' );


//Filter wp_login_form username default

function aiows_change_login_username_label( $defaults ){
    $defaults['label_username'] = __( 'Username' );
    return $defaults;
}

add_filter( 'login_form_defaults', 'aiows_change_login_username_label' );


//Remove email/password authentication

remove_filter( 'authenticate', 'wp_authenticate_email_password', 20 );

}

/**
 * disable wordpress login error messages
 *
 * http://www.wpbeginner.com/wp-tutorials/how-to-disable-login-hints-in-wordpress-login-error-messages/
 */
 
if( isset($options_login['aiows_disable_login_error_hint_checkbox']) && ($options_login['aiows_disable_login_error_hint_checkbox'] == 1) ) {

function aiows_no_wordpress_errors(){
  return 'Something is wrong!';
}
add_filter( 'login_errors', 'aiows_no_wordpress_errors' );

}


/**
 * disable login page shake
 */
 
if( isset($options_login['aiows_disable_login_page_shake_checkbox']) && ($options_login['aiows_disable_login_page_shake_checkbox'] == 1) ) {

   class aiows_stop_login_shake {

       static public function now() {
           remove_action('login_head', 'wp_shake_js', 12);
       }
   }

add_action('login_head', array('aiows_stop_login_shake', 'now'));

}

/*
 * admin bar login 
 */

if( isset($options_login['aiows_admin_bar_login_checkbox']) && ($options_login['aiows_admin_bar_login_checkbox'] == 1) ) {

function aiows_custom_add_login_link( $meta = FALSE ) {
    global $wp_admin_bar, $blog_id;
    if ( is_user_logged_in() ) { return false; }
    $wp_admin_bar->add_menu( array(
        'id' => 'custom-login',
        'title' => __( 'Login' ),
        'href' => get_home_url( $blog_id, '/wp-login.php' ) )
    );
if ( get_option( 'users_can_register' ) ) {
        $wp_admin_bar->add_menu( array(
            'id' => 'custom-register',
            'title'  => __( 'Register' ),
            'href' => get_home_url( $blog_id, '/wp-login.php?action=register' ) )
        ); 
    }
function remove_wp_logo() {
        global $wp_admin_bar;
        $wp_admin_bar->remove_menu('wp-logo');
    }
add_action( 'wp_before_admin_bar_render', 'remove_wp_logo' );

}
add_filter( 'show_admin_bar', '__return_true' ); /* turn on adminbar for logged out users */
add_action( 'admin_bar_menu', 'aiows_custom_add_login_link', 15 );

}

/*
 * custom admin logo
 */

if( isset($options_login['aiows_remove_default_login_logo_checkbox']) && ($options_login['aiows_remove_default_login_logo_checkbox'] == 1) ) {

 if( isset($options_login['aiows_custom_login_logo_upload']) == get_option('aiows_plugin_login_page_settings')['aiows_custom_login_logo_upload'] ) {

    function Aiows_custom_login_logo() {
    echo '<style type="text/css">h1 a { background: url('.get_option('aiows_plugin_login_page_settings')['aiows_custom_login_logo_upload'].') 50% 50% no-repeat !important; }</style>';
}
add_action('login_head', 'Aiows_custom_login_logo');
 
 } else {

    function aiows_remove_logo() {

echo '<style type="text/css">
    .login h1 a { display: none; }
</style>'; }

add_action( 'login_head', 'aiows_remove_logo' );

 }
}

/*
 * custom login logo title
 */


if( isset($options_login['aiows_remove_logo_title_checkbox']) && ($options_login['aiows_remove_logo_title_checkbox'] == 1) ) {

 if( isset($options_login['aiows_custom_login_logo_title']) == get_option('aiows_plugin_login_page_settings')['aiows_custom_login_logo_title'] ) {

    function aiows_change_wp_login_title() {
  return get_option('aiows_plugin_login_page_settings')['aiows_custom_login_logo_title'];
}
add_filter('login_headertitle', 'aiows_change_wp_login_title1');
 
 } else {

    function aiows_change_wp_login_custom_title() {
  return get_option('blogname');
}
add_filter('login_headertitle', 'aiows_change_wp_login_custom_title');

 }
}

/*
 * changle login logo url
 */

if( isset($options_login['aiows_change_wp_login_logo_link_checkbox']) && ($options_login['aiows_change_wp_login_logo_link_checkbox'] == 1) ) {

function aiows_custom_loginlogo_url($url) {
    return get_bloginfo('url');
}
add_filter('login_headerurl', 'aiows_custom_loginlogo_url');
}

