<?php
/*
Plugin Name: All In One WP Solution
Plugin URI: https://www.isayantech.tk/wp-plugins
Description: All In One WP Solution is a powerful plugin for all wordpress user. Using this plugin, enable, disable or remove the unwanted meta tags, links and features on a WordPress site running 4.4 and beyond. This plugin helpes to customize the wordpress admin area.
Version: 3.2.9.6
Author: Sayan Datta
Author URI: https://www.isayantech.tk/
License: GPLv3
Text Domain: all-in-one-wp-solution
*/

/*
===================================================================================================================

 ____  _     _       _  _        ____  _      _____   _      ____    ____  ____  _     _     _____  _  ____  _
/  _ \/ \   / \     / \/ \  /|  /  _ \/ \  /|/  __/  / \  /|/  __\  / ___\/  _ \/ \   / \ /\/__ __\/ \/  _ \/ \  /|
| / \|| |   | |     | || |\ ||  | / \|| |\ |||  \    | |  |||  \/|  |    \| / \|| |   | | ||  / \  | || / \|| |\ ||
| |-||| |_/\| |_/\  | || | \||  | \_/|| | \|||  /_   | |/\|||  __/  \___ || \_/|| |_/\| \_/|  | |  | || \_/|| | \||
\_/ \|\____/\____/  \_/\_/  \|  \____/\_/  \|\____\  \_/  \|\_/     \____/\____/\____/\____/  \_/  \_/\____/\_/  \|


===================================================================================================================


    Copyright © 2017 Sayan Datta (email: blacknightwbs@gmail.com)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

    //Exit if accessed directly
    if ( ! defined( 'ABSPATH' ) ) {
	    exit;
    }

//register css and script for custom admin style

    function aiows_custom_admin_styles_scripts() {

    wp_enqueue_style( 'plugin-admin-style', plugins_url( 'css/admin-style.min.css', __FILE__ ) );
    wp_enqueue_style( 'cb-style', plugins_url( 'css/style.min.css', __FILE__ ) );
    wp_enqueue_script( 'custom-script', plugins_url( 'js/custom.min.js', __FILE__ ) );
    }

    add_action( 'admin_enqueue_scripts', 'aiows_custom_admin_styles_scripts' );


require_once dirname( __FILE__ ) . '/config/class-plugin-meta.php';
require_once dirname( __FILE__ ) . '/config/class-plugin-settings.php';


$options_remove = get_option('aiows_plugin_remover_options');
$options_privacy = get_option('aiows_plugin_privacy_settings');
$options_login = get_option('aiows_plugin_login_page_settings');
$options_security = get_option('aiows_plugin_security_settings');
$options_update = get_option('aiows_plugin_update_settings');
$options_mail = get_option('aiows_plugin_mail_settings');
$options_header_footer = get_option('aiows_plugin_header_footer_settings');
$options_maintenance = get_option('aiows_plugin_maintenance_settings');
$options_customize = get_option('aiows_plugin_customize_settings');
$options_advanced = get_option('aiows_plugin_advanced_settings');

if( isset($options_privacy['aiows_ver_remove_script_exclude_css']) ) {
    $exclude_file_list = $options_privacy['aiows_ver_remove_script_exclude_css'];
} else {
    $exclude_file_list = '';
}
$exclude_files_arr = array_map('trim', explode(',', $exclude_file_list));

//remove wp version from any enqueued scripts
    function aiows_hide_wordpress_version_in_script( $target_url ) {
         $filename_arr = explode('?', basename($target_url));
         $filename = $filename_arr[0];
         global $exclude_files_arr, $exclude_file_list;
    // first check the list of user defined excluded CSS/JS files
    if (!in_array(trim($filename), $exclude_files_arr)) {
        /* check if "ver=" argument exists in the url or not */
        if(strpos( $target_url, 'ver=' )) {
            $target_url = remove_query_arg( 'ver', $target_url );
        }
    }
    return $target_url;
    }

/* ============================= End ================================  */

/* ============================= Start Functions ================================  */


if( isset($options_customize['aiows_change_pg_perma']) == get_option('aiows_plugin_customize_settings')['aiows_change_pg_perma'] ) {

add_action( 'init', 'aiows_change_page_perma_links' );
function aiows_change_page_perma_links() {
    global $wp_rewrite;
    $wp_rewrite->page_structure = $wp_rewrite->root . get_option('aiows_plugin_customize_settings')['aiows_change_pg_perma'];
    flush_rewrite_rules();
}
} else {

    add_action( 'init', 'aiows_change_page_perma_links' );
function aiows_change_page_perma_links() {
    global $wp_rewrite;
    $wp_rewrite->page_structure = $wp_rewrite->root . '/%pagename%/';
    flush_rewrite_rules();
}
}
/* ============================= End ================================  */

/* ============================= Start Functions ================================  */

add_action('wp_head', 'aiows_custom_header_code', 10);

function aiows_custom_header_code() {
  echo get_option('aiows_plugin_header_footer_settings')['aiows_plugin_header_area'];
}

add_action('wp_footer', 'aiows_custom_footer_code', 10);

function aiows_custom_footer_code() {
  echo get_option('aiows_plugin_header_footer_settings')['aiows_plugin_footer_area'];
}

/* ============================= End ================================  */

/* ============================= Start Functions ================================  */

/**
* filter custom admin left footer text
*/
function aiows_is_admin_screen(){
    $return = false;
    $screen = get_current_screen();
    if($screen->parent_base === 'all-in-one-wp-solution'){
        $return = true;
    }
    return $return;
}
if( function_exists('aiows_is_admin_screen') ) {

        function aiows_remove_footer_admin () {

            $screen = aiows_is_admin_screen();
                if(!$screen){
                    return;
                }

        echo 'Thanks for using <strong>All In One WP Solution v3.2.9.6</strong> | Developed with <span style="color: #e25555;">♥</span> by <a href="#" target="_blank" style="font-weight: 500;">Sayan Datta</a> | <a href="https://github.com/iamsayan/all-in-one-wp-solution" target="_blank" style="font-weight: 500;">GitHub</a> | <a href="https://wordpress.org/plugins/all-in-one-wp-solution/#reviews" target="_blank" style="font-weight: 500;">Leave a Review</a> | <a href="https://wordpress.org/support/plugin/all-in-one-wp-solution/reviews/" target="_blank" style="font-weight: 500;">Rate it</a> (&#9733;&#9733;&#9733;&#9733;&#9733;).';
    }

    add_filter('admin_footer_text', 'aiows_remove_footer_admin');
}
function aiows_is_screen_except_admin(){
    $return = false;
    $screen = get_current_screen();
    if($screen->parent_base === 'all-in-one-wp-solution'){
        $return = true;
    }
    return $return;
}
if( isset($options_customize['aiows_custom_admin_footer_text']) == get_option('aiows_plugin_customize_settings')['aiows_custom_admin_footer_text'] ) {

    function aiows_custom_footer_admin () {
        $screen = aiows_is_screen_except_admin();
                if($screen){
                    return;
                }

    echo get_option('aiows_plugin_customize_settings')['aiows_custom_admin_footer_text'];
    }
    add_filter('admin_footer_text', 'aiows_custom_footer_admin');
} else {

    function aiows_custom_footer_admin () {
        $screen = aiows_is_screen_except_admin();
                if($screen){
                    return;
                }
    echo ' <i> Thank you for creating with <a href="//wordpress.org" target="_blank"> WordPress</a>. </i> ';
    }
    add_filter('admin_footer_text', 'aiows_custom_footer_admin');
}

/* ============================= End ================================  */

/* ============================= Start Functions ================================  */

/*
 * filtering custom right admin footer text
 */
function aiows_is_screen_except_admin_right(){
    $return = false;
    $screen = get_current_screen();
    if($screen->parent_base === 'all-in-one-wp-solution'){
        $return = true;
    }
    return $return;
}

if( isset($options_customize['aiows_custom_right_footer_text']) == get_option('aiows_plugin_customize_settings')['aiows_custom_right_footer_text'] ) {

    function aiows_change_footer_version() {

        $screen = aiows_is_screen_except_admin_right();
                if($screen){
                    return;
                }
    echo get_option('aiows_plugin_customize_settings')['aiows_custom_right_footer_text'];
}
add_filter( 'update_footer', 'aiows_change_footer_version', 9999 );
} else {
    function aiows_change_footer_version() {
        $screen = aiows_is_screen_except_admin_right();
                if($screen){
                    return;
                }
    echo 'Version ' . get_bloginfo( 'version' ) ;
}
add_filter( 'update_footer', 'aiows_change_footer_version', 9999 );
}

/* ============================= End ================================  */
// calling settings file
require_once dirname( __FILE__ ) . '/admin/class-plugin-header-settings.php';
require_once dirname( __FILE__ ) . '/admin/class-plugin-privacy-settings.php';
require_once dirname( __FILE__ ) . '/admin/class-plugin-login-settings.php';
require_once dirname( __FILE__ ) . '/admin/class-plugin-security-settings.php';
require_once dirname( __FILE__ ) . '/admin/class-plugin-update-settings.php';
require_once dirname( __FILE__ ) . '/admin/class-plugin-mail-settings.php';
require_once dirname( __FILE__ ) . '/admin/class-plugin-customize-settings.php';
require_once dirname( __FILE__ ) . '/admin/class-plugin-advanced-settings.php';

/* ============================= Start ================================  */
/*
 * plugin maintenance mode
 */

if( isset($options_maintenance['aiows_enable_maintenance_mode_checkbox']) && ($options_maintenance['aiows_enable_maintenance_mode_checkbox'] == 'Enable') ) {
   require_once( plugin_dir_path( __FILE__ ) . 'includes/class-maintenance-mode.php' );
} else {}

/* ============================= End ================================  */


add_action('admin_menu', 'aiows_settings_page_hook');

function aiows_settings_page_hook() {

if (class_exists('aiows_plugin_all_config')) {
    $object = new aiows_plugin_all_config();
}
    $object->aiows_add_menu_option();
}

add_action('admin_init', 'aiows_plugin_int_class');

function aiows_plugin_int_class() {
    new aiows_plugin_all_config();
}

if( !is_network_admin() ) {
    //activation hook
register_activation_hook( __FILE__, 'aiows_plugin_activate' );
}

register_activation_hook( __FILE__, 'aiows_maintenance_settings_defaults' );

function aiows_maintenance_settings_defaults() {
    //maintenance
    $defaults_maintenance = array(
        'aiows_enable_maintenance_mode_checkbox'   => 'Disable',
    	'aiows_plugin_maintenance_custom_title'    => 'This Website is Under Maintenance!',
        'aiows_plugin_maintenance_header'          => 'Website is Under Maintenance!',
        'aiows_plugin_maintenance_body'            => 'We are performing scheduled maintenance. We will be back on-line shortly!'
    );

    if( is_admin() ) {
        update_option( 'aiows_plugin_maintenance_settings', $defaults_maintenance );
    }
 /*   //security
    $defaults_security = array(
    	'aiows_enable_hsts_checkbox' => 'Disable'
    );

    if( !is_null($options_security) ) {} else {
        update_option( 'aiows_plugin_security_settings', $defaults_security );
    }
    //customize
    $defaults_customize = array(
    	'aiows_disable_admin_bar_all_checkbox' => 'Not Disable',
        'aiows_custom_admin_footer_text' => 'Thnaks',
        'aiows_custom_right_footer_text' => 'fuck',
        'aiows_change_pg_perma' => '%pagename%'
    );

    if( is_admin() ) {
        $value_customize = get_option( 'aiows_plugin_customize_settings');
        update_option( 'aiows_plugin_customize_settings', $value_customize, $defaults_customize );
    }
    //update
    $defaults_update = array(
        'aiows_wp_update_core_checkbox' => 'Minor'
    );

    if( is_admin() ) {
        $value_update = get_option( 'aiows_plugin_update_settings');
        update_option( 'aiows_plugin_update_settings', $value_update, $defaults_update );
    }
    //header
    $defaults_header = array(
        'aiows_meta_feed_disable_checkbox' => 'No Action'
    );

    if( is_admin() ) {
        $value_header = get_option( 'aiows_plugin_remover_options');
        update_option( 'aiows_plugin_remover_options', $value_header, $defaults_header );
    }*/
}

    //redirect after activation
function aiows_plugin_activate() {
	add_option( 'aiows_do_activation_redirect', true );
}

function aiows_plug_redirect() {

	if ( get_option( 'aiows_do_activation_redirect', false ) ) {
		delete_option( 'aiows_do_activation_redirect' );
		wp_redirect( 'admin.php?page=all-in-one-wp-solution' );
	}
}

add_action( 'admin_init', 'aiows_plug_redirect' );

   //define settings option
function aiows_remove_disable_privacy_plugin_meta($links, $file) {

    $plugin = plugin_basename(__FILE__);

    //create link
    if ($file == $plugin) {
        return array_merge(
            $links,
            array( sprintf( '<a href="https://wordpress.org/plugins/all-in-one-wp-solution" target="_blank">Documentation</a>', $plugin, __('Documentation') ), sprintf( '<a href="https://wordpress.org/plugins/all-in-one-wp-solution/#faq" target="_blank">FAQ</a>', $plugin, __('FAQ') ) )


        );
    }

    return $links;
}

add_filter( 'plugin_row_meta', 'aiows_remove_disable_privacy_plugin_meta', 10, 2 );



//register action links

function aiows_add_plugin_action_links( $links ) {
        $aiows_settings_link = '<a href="admin.php?page=all-in-one-wp-solution">Settings</a>';
        array_unshift( $links, $aiows_settings_link );

        return $links;
    }

add_filter( 'plugin_action_links_' . plugin_basename(__FILE__), 'aiows_add_plugin_action_links', 10, 2 );


function aiows_admin_add_help_tab () {
    global $aiows_help_page;
    $screen = get_current_screen();

    // Add my_help_tab if current screen is My Admin Page
    $screen->add_help_tab( array(
        'id'    => 'help_tab_doc',
        'title' => __('Documentation'), __('Documentation'),
        'content'   => '<p>' . __( 'All In One WP Solution is a powerful plugin for all wordpress user. Using this plugin, enable, disable or remove the unwanted meta tags, links and features on a WordPress site running 4.4 and beyond. This plugin helpes to customize the wordpress admin area. <a href="https://wordpress.org/plugins/all-in-one-wp-solution" target="_blank">Click Here</a>' ) . '</p>',
    ) );

    $screen->add_help_tab( array(
        'id'    => 'help_tab_faq',
        'title' => __('FAQ'), __('FAQ'),
        'content'   => '<p>' . __( 'Go to Wordpress.org to know about Frequenly asked questions. <a href="https://wordpress.org/plugins/all-in-one-wp-solution/#faq" target="_blank">Click Here</a>' ) . '</p>',
    ) );
}

?>
