<?php

if (!class_exists('aiows_plugin_all_config')) {

    class aiows_plugin_all_config {

    public $options_remove;
    public $options_privacy;
    public $options_login;
    public $options_security;
    public $options_update;
    public $options_mail;
    public $options_header_footer;
    public $options_maintenance;
    public $options_customize;
    public $options_advanced;

    public function __construct() {

        $this->options_remove = get_option('aiows_plugin_remover_options');
        $this->options_privacy = get_option('aiows_plugin_privacy_settings');
        $this->options_login = get_option('aiows_plugin_login_page_settings');
        $this->options_security = get_option('aiows_plugin_security_settings');
        $this->options_update = get_option('aiows_plugin_update_settings');
        $this->options_mail = get_option('aiows_plugin_mail_settings');
        $this->options_header_footer = get_option('aiows_plugin_header_footer_settings');
        $this->options_maintenance = get_option('aiows_plugin_maintenance_settings');
        $this->options_customize = get_option('aiows_plugin_customize_settings');
        $this->options_advanced = get_option('aiows_plugin_advanced_settings');
        $this->aiows_register_settings();
    }

    public function aiows_add_menu_option() {

         $aiows_help_page = add_menu_page('All In One WP Solution', 'WP Solution', 'administrator', 'all-in-one-wp-solution', array('aiows_plugin_all_config','aiows_settings_page'), 'dashicons-shield', 100);
         add_action('load-'.$aiows_help_page, 'aiows_admin_add_help_tab');
    }

    static function aiows_settings_page() {
        ?>

            <div class="wrap">
            <h2> All In One WP Solution Options </h2>
			<div class="aiows-about-text">
			Ultimate Solution for All WordPress Websites for highly customization of WordPress.
		    </div>
            <p></p>

            <?php

            /**
             * Creating Tabs
             *
             * https://code.tutsplus.com/tutorials/the-wordpress-settings-api-part-5-tabbed-navigation-for-settings--wp-24971
             */
               if( isset( $_GET[ 'tab' ] ) ) {
               $active_tab = $_GET[ 'tab' ];
               } else {
               //set display_options tab as a default tab.
               $active_tab = 'header_settings' ;
               }

            ?>


            <h2 class="nav-tab-wrapper">
            <a href="?page=all-in-one-wp-solution&tab=header_settings" class="nav-tab <?php echo $active_tab == 'header_settings' ? 'nav-tab-active' : ''; ?>">Header</a>
            <a href="?page=all-in-one-wp-solution&tab=privacy_settings" class="nav-tab <?php echo $active_tab == 'privacy_settings' ? 'nav-tab-active' : ''; ?>">Privacy</a>
            <a href="?page=all-in-one-wp-solution&tab=login_settings" class="nav-tab <?php echo $active_tab == 'login_settings' ? 'nav-tab-active' : ''; ?>">Login</a>
            <a href="?page=all-in-one-wp-solution&tab=security_settings" class="nav-tab <?php echo $active_tab == 'security_settings' ? 'nav-tab-active' : ''; ?>">Security</a>
            <a href="?page=all-in-one-wp-solution&tab=update_settings" class="nav-tab <?php echo $active_tab == 'update_settings' ? 'nav-tab-active' : ''; ?>">Update</a>
            <a href="?page=all-in-one-wp-solution&tab=mailing" class="nav-tab <?php echo $active_tab == 'mailing' ? 'nav-tab-active' : ''; ?>">Mailing</a>
            <a href="?page=all-in-one-wp-solution&tab=header_footer" class="nav-tab <?php echo $active_tab == 'header_footer' ? 'nav-tab-active' : ''; ?>">Header & Footer</a>
            <a href="?page=all-in-one-wp-solution&tab=maintenance" class="nav-tab <?php echo $active_tab == 'maintenance' ? 'nav-tab-active' : ''; ?>">Maintenance</a>
            <a href="?page=all-in-one-wp-solution&tab=customize_settings" class="nav-tab <?php echo $active_tab == 'customize_settings' ? 'nav-tab-active' : ''; ?>">Customize</a>
            <a href="?page=all-in-one-wp-solution&tab=advanced_settings" class="nav-tab <?php echo $active_tab == 'advanced_settings' ? 'nav-tab-active' : ''; ?>">Advanced</a>
            <a href="?page=all-in-one-wp-solution&tab=support" class="nav-tab <?php echo $active_tab == 'support' ? 'nav-tab-active' : ''; ?>">Support</a>
            </h2>
            <div id="form_area" onload="ShowObject('CLL1', 0);return false;">
            <form id="form" method="post" action="options.php">

                <?php


                if ( $active_tab == 'header_settings' ) {

                ?><br> <font size="4px"><b>Header Settings</b> </font> <p></p><hr><?php

                settings_fields('aiows_plugin_remover_options');
                do_settings_sections('aiows_meta_tag_section');

                submit_button();

                }

                elseif( $active_tab == 'privacy_settings' ) {

                ?><br> <font size="4px"><b>Privacy Settings</b> </font> <p></p><hr><?php

                settings_fields('aiows_plugin_privacy_settings');
                do_settings_sections('aiows_meta_ver_info_remove_section');

                submit_button();

                }

                elseif( $active_tab == 'login_settings' ) {

                ?><br> <font size="4px"><b>Login Settings</b> </font> <p></p><hr><?php

                settings_fields('aiows_plugin_login_page_settings');
                do_settings_sections('aiows_plugin_login_page_section');

                submit_button();

                }

                elseif( $active_tab == 'security_settings' ) {

                ?><br> <font size="4px"><b>Security Settings</b> </font> <p></p><hr><?php

                settings_fields('aiows_plugin_security_settings');
                do_settings_sections('aiows_plugin_security_section');

                ?> <br><b>Important Note:</b> <i>Use 'Enable HSTS Support' option if you have a valid SSL for the website. If you remove HTTPS before disabling HSTS your website will become inaccessible to visitors for up to the max-age (default 1 month) or until you support HTTPS again.</i><?php

                submit_button();

                }

                elseif( $active_tab == 'update_settings' ) {

                ?><br> <font size="4px"><b>Update Settings</b> </font> <p></p><hr><?php

                settings_fields('aiows_plugin_update_settings');
                do_settings_sections('aiows_plugin_update_section');

                submit_button();

                }

                elseif( $active_tab == 'mailing' ) {

                ?><br> <font size="4px"><b>Mail Settings</b> </font> <p></p><hr><?php

                settings_fields('aiows_plugin_mail_settings');
                do_settings_sections('aiows_plugin_mail_section');

                submit_button();

                }

                elseif( $active_tab == 'header_footer' ) {

                ?><br> <font size="4px"><b>Header & Footer</b> </font> <p></p><hr><?php

                settings_fields('aiows_plugin_header_footer_settings');
                do_settings_sections('aiows_plugin_header_footer_section');

                submit_button();

                }

                elseif( $active_tab == 'maintenance' ) {

                ?><br> <font size="4px"><b>Maintenance Settings</b> </font> <p></p><hr><?php

                settings_fields('aiows_plugin_maintenance_settings');
                do_settings_sections('aiows_plugin_maintenance_section');

                ?> <br><b>Important Note:</b> <i>If you are using any cache plugin like W3 Total Cache or WP Super Cache or WP Rocket then please purge cache after saving changes to view the effect.</i><?php

                submit_button();

                }

                elseif( $active_tab == 'customize_settings' ) {

                ?><br> <font size="4px"><b>Customization Settings</b> </font> <p></p><hr><?php

                settings_fields('aiows_plugin_customize_settings');
                do_settings_sections('aiows_plugin_customize_section');

                submit_button();

                }

                elseif( $active_tab == 'advanced_settings' ) {

                ?><br> <font size="4px"><b>Advanced Settings</b> </font> <p></p><hr><?php

                settings_fields('aiows_plugin_advanced_settings');
                do_settings_sections('aiows_plug_advanced_section');

                submit_button();

                }

                elseif( $active_tab == 'support' ) {  ?>

                <br><div>
                &nbsp;&nbsp;<img src="<?php echo plugins_url( '/images/support.png', __FILE__ ) ?>" alt="Support" style="width:147px;height:60px;">
                <br><br>
                <b> Do you need help with this plugin? Check out the following resources: </b> <br><br>
                <p>&nbsp;&nbsp;&nbsp;&nbsp; 1. <a href="https://wordpress.org/plugins/all-in-one-wp-solution" target="_blank">Documentation</a></p>
                <p>&nbsp;&nbsp;&nbsp;&nbsp; 2. <a href="https://wordpress.org/plugins/all-in-one-wp-solution/#faq" target="_blank">FAQ</a></p>
                <p>&nbsp;&nbsp;&nbsp;&nbsp; 3. <a href="https://wordpress.org/support/plugin/all-in-one-wp-solution" target="_blank">Support Forum</a></p>
                <p>&nbsp;&nbsp;&nbsp;&nbsp; 4. <a href="https://wordpress.org/plugins/all-in-one-wp-solution" target="_blank">Plugin HomePage</a></p>
                <p>&nbsp;&nbsp;&nbsp;&nbsp; 5. <a href="https://wordpress.org/plugins/all-in-one-wp-solution/#developers" target="_blank">Development</a></p>
                <p>&nbsp;&nbsp;&nbsp;&nbsp; 6. <a href="https://wordpress.org/plugins/all-in-one-wp-solution/#developers" target="_blank">Changelog</a></p>
                <p>&nbsp;&nbsp;&nbsp;&nbsp; 7. <a href="https://wordpress.org/plugins/all-in-one-wp-solution/#screenshots" target="_blank">Screenshots</a></p>
                <p>&nbsp;&nbsp;&nbsp;&nbsp; 8. <a href="https://github.com/iamsayan/all-in-one-wp-solution" target="_blank">GitHub</a></p>
                <br></div>

                <?php
                } ?>

            </form></div>
        </div><br><p align=center><font face="Bookman Old Style" size="4px" color="#ccc">CODE IS POETRY</font><br><font face="Bookman Old Style" size="2px" color="#ccc">Proudly Powered by WordPress Codex</font></p>
        <?php
    }

	/**
     * Register plugin settings
     */
    public function aiows_register_settings() {

        register_setting('aiows_plugin_remover_options', 'aiows_plugin_remover_options');
        register_setting('aiows_plugin_privacy_settings', 'aiows_plugin_privacy_settings');
        register_setting('aiows_plugin_login_page_settings', 'aiows_plugin_login_page_settings');
        register_setting('aiows_plugin_security_settings', 'aiows_plugin_security_settings');
        register_setting('aiows_plugin_update_settings', 'aiows_plugin_update_settings');
        register_setting('aiows_plugin_mail_settings', 'aiows_plugin_mail_settings');
        register_setting('aiows_plugin_header_footer_settings', 'aiows_plugin_header_footer_settings');
        register_setting('aiows_plugin_maintenance_settings', 'aiows_plugin_maintenance_settings');
        register_setting('aiows_plugin_customize_settings', 'aiows_plugin_customize_settings');
        register_setting('aiows_plugin_advanced_settings', 'aiows_plugin_advanced_settings');

    /**
     * Register fields and sections
     */
        add_settings_section('aiows_meta_tag_section', '', array($this, 'aiows_plugin_option_callback'), 'aiows_meta_tag_section');

        add_settings_field('aiows_meta_generator_checkbox', 'Remove Meta Generator Tag from WP Head', array($this, 'aiows_meta_generator_checkbox_setting'), 'aiows_meta_tag_section' , 'aiows_meta_tag_section');
		    add_settings_field('aiows_meta_wpmanifest_checkbox', 'Remove Manifest Links from WP Head', array($this, 'aiows_meta_wpmanifest_checkbox_setting'), 'aiows_meta_tag_section' , 'aiows_meta_tag_section');
		    add_settings_field('aiows_meta_rsd_checkbox', 'Remove RSD Links from WP Head', array($this, 'aiows_meta_rsd_checkbox_setting'), 'aiows_meta_tag_section' , 'aiows_meta_tag_section');
        add_settings_field('aiows_meta_short_links_checkbox', 'Remove Shortlinks from WP Head', array($this, 'aiows_meta_short_links_checkbox_setting'), 'aiows_meta_tag_section' , 'aiows_meta_tag_section');
        add_settings_field('aiows_posts_rel_link_wp_head_checkbox', 'Remove Previous and next Articles Links from WP Head', array($this, 'aiows_posts_rel_link_wp_head_checkbox_setting'), 'aiows_meta_tag_section' , 'aiows_meta_tag_section');
        add_settings_field('aiows_meta_feed_disable_checkbox', 'Remode/Disable WordPress Feeds Fuctionality', array($this, 'aiows_meta_feed_disable_checkbox_setting'), 'aiows_meta_tag_section' , 'aiows_meta_tag_section');
        add_settings_field('aiows_meta_xml_rpc_checkbox', 'Disable XML-RPC Fuctionality', array($this, 'aiows_meta_xml_rpc_checkbox_setting'), 'aiows_meta_tag_section' , 'aiows_meta_tag_section');
        add_settings_field('aiows_disable_wpjson_restapi_checkbox', 'Disable WP Json and Rest API (not recommended)', array($this, 'aiows_disable_wpjson_restapi_checkbox_setting'), 'aiows_meta_tag_section' , 'aiows_meta_tag_section');

        add_settings_section('aiows_meta_ver_info_remove_section', '', array($this, 'aiows_plugin_option_callback'), 'aiows_meta_ver_info_remove_section');

		    add_settings_field('aiows_ver_remove_style_checkbox', 'Remove Version from Stylesheet', array($this, 'aiows_ver_remove_style_checkbox_setting'), 'aiows_meta_ver_info_remove_section' , 'aiows_meta_ver_info_remove_section');
        add_settings_field('aiows_ver_remove_script_checkbox', 'Remove Version from Script', array($this, 'aiows_ver_remove_script_checkbox_setting'), 'aiows_meta_ver_info_remove_section' , 'aiows_meta_ver_info_remove_section');
        add_settings_field('aiows_ver_remove_script_exclude_css', 'Enter Stylesheet/Script file names to exclude from version removal (comma separated list)', array($this, 'aiows_ver_remove_script_exclude_css'), 'aiows_meta_ver_info_remove_section' , 'aiows_meta_ver_info_remove_section');

        add_settings_section('aiows_plugin_login_page_section', '', array($this, 'aiows_plugin_option_callback'), 'aiows_plugin_login_page_section');

        add_settings_field('aiows_login_with_username_checkbox', 'Login to Dashboard with Username Only', array($this, 'aiows_login_with_username_checkbox_setting'), 'aiows_plugin_login_page_section' , 'aiows_plugin_login_page_section');
        add_settings_field('aiows_disable_login_error_hint_checkbox', 'Disable Login Error Hints', array($this, 'aiows_disable_login_error_hint_checkbox_setting'), 'aiows_plugin_login_page_section' , 'aiows_plugin_login_page_section');
        add_settings_field('aiows_disable_login_page_shake_checkbox', 'Disable Login Page Shake Effect', array($this, 'aiows_disable_login_page_shake_checkbox_setting'), 'aiows_plugin_login_page_section' , 'aiows_plugin_login_page_section');
        add_settings_field('aiows_admin_bar_login_checkbox', 'Enable Admin Bar Login and Register Option', array($this, 'aiows_admin_bar_login_checkbox_setting'), 'aiows_plugin_login_page_section' , 'aiows_plugin_login_page_section');
        add_settings_field('aiows_remove_logo_title_checkbox', 'Remove or Change Login Logo Title', array($this, 'aiows_remove_logo_title_checkbox_setting'), 'aiows_plugin_login_page_section' , 'aiows_plugin_login_page_section');
        add_settings_field('aiows_custom_login_logo_title', 'Enter Custom Login Logo Title', array($this, 'aiows_custom_login_logo_title'), 'aiows_plugin_login_page_section' , 'aiows_plugin_login_page_section');
        add_settings_field('aiows_remove_default_login_logo_checkbox', 'Remove or Change Login Page Logo', array($this, 'aiows_remove_default_login_logo_checkbox_setting'), 'aiows_plugin_login_page_section' , 'aiows_plugin_login_page_section');
        add_settings_field('aiows_custom_login_logo_upload', 'Enter Custom Login Logo Link Location', array($this, 'aiows_custom_login_logo_upload'), 'aiows_plugin_login_page_section' , 'aiows_plugin_login_page_section');
        add_settings_field('aiows_change_wp_login_logo_link_checkbox', 'Change Login Logo Link to your Site&#39;s URL', array($this, 'aiows_change_wp_login_logo_link_checkbox_setting'), 'aiows_plugin_login_page_section' , 'aiows_plugin_login_page_section');

        add_settings_section('aiows_plugin_security_section', '', array($this, 'aiows_plugin_option_callback'), 'aiows_plugin_security_section');

        add_settings_field('aiows_disable_user_enu_checkbox', 'Disable User Enumeration', array($this, 'aiows_disable_user_enu_checkbox_setting'), 'aiows_plugin_security_section' , 'aiows_plugin_security_section');
        add_settings_field('aiows_enable_iframe_protection_checkbox', 'Enable iFrame Protection', array($this, 'aiows_enable_iframe_protection_checkbox_setting'), 'aiows_plugin_security_section' , 'aiows_plugin_security_section');
        add_settings_field('aiows_enable_no_sniff_header_checkbox', 'Enable No-Sniff Header', array($this, 'aiows_enable_no_sniff_header_checkbox_setting'), 'aiows_plugin_security_section' , 'aiows_plugin_security_section');
        add_settings_field('aiows_enable_xss_header_checkbox', 'Enable XSS-Protection Header', array($this, 'aiows_enable_xss_header_checkbox_setting'), 'aiows_plugin_security_section' , 'aiows_plugin_security_section');
        add_settings_field('aiows_replace_mixed_checkbox', 'Auto Replace Mixed Content (remove http/https)', array($this, 'aiows_replace_mixed_checkbox_setting'), 'aiows_plugin_security_section' , 'aiows_plugin_security_section');
        add_settings_field('aiows_cf_flex_ssl_checkbox', 'Enable CloudFlare Flexible SSL Support', array($this, 'aiows_cf_flex_ssl_checkbox_setting'), 'aiows_plugin_security_section' , 'aiows_plugin_security_section');
        add_settings_field('aiows_disable_copy_checkbox', 'Enable Copy Protection', array($this, 'aiows_disable_copy_checkbox_setting'), 'aiows_plugin_security_section' , 'aiows_plugin_security_section');
        add_settings_field('aiows_enable_hsts_checkbox', 'HTTP Strict Transport Security (HSTS) Support', array($this, 'aiows_enable_hsts_checkbox_setting'), 'aiows_plugin_security_section' , 'aiows_plugin_security_section');
        add_settings_field('aiows_force_ssl_detect_checkbox', 'Force SSL Detection (for advanced user only)', array($this, 'aiows_force_ssl_detect_checkbox_setting'), 'aiows_plugin_security_section' , 'aiows_plugin_security_section');

        add_settings_section('aiows_plugin_update_section', '', array($this, 'aiows_plugin_option_callback'), 'aiows_plugin_update_section');

        add_settings_field('aiows_auto_plugin_update_checkbox', 'Enable Automatic Plugin Updates', array($this, 'aiows_auto_plugin_update_checkbox_setting'), 'aiows_plugin_update_section' , 'aiows_plugin_update_section');
        add_settings_field('aiows_auto_theme_update_checkbox', 'Enable Automatic Theme Updates', array($this, 'aiows_auto_theme_update_checkbox_setting'), 'aiows_plugin_update_section' , 'aiows_plugin_update_section');
        add_settings_field('aiows_auto_tran_update_checkbox', 'Disable Automatic Translation Updates (enabled by default)', array($this, 'aiows_auto_tran_update_checkbox_setting'), 'aiows_plugin_update_section' , 'aiows_plugin_update_section');
        add_settings_field('aiows_wp_update_core_checkbox', 'Select WordPress Auto Core Update Level', array($this, 'aiows_wp_update_core_checkbox_setting'), 'aiows_plugin_update_section' , 'aiows_plugin_update_section');
        add_settings_field('aiows_enable_update_vcs_checkbox', 'Enable updates for VCS Installations', array($this, 'aiows_enable_update_vcs_checkbox_setting'), 'aiows_plugin_update_section' , 'aiows_plugin_update_section');

        add_settings_section('aiows_plugin_mail_section', '', array($this, 'aiows_plugin_option_callback'), 'aiows_plugin_mail_section');

        add_settings_field('aiows_send_email_on_login_checkbox', 'Receive Notification Email on Login (Beta)', array($this, 'aiows_send_email_on_login_checkbox_setting'), 'aiows_plugin_mail_section' , 'aiows_plugin_mail_section');
        add_settings_field('aiows_custom_mail_sender_name', 'Enter Custom Mail Sender Name', array($this, 'aiows_custom_mail_sender_name'), 'aiows_plugin_mail_section' , 'aiows_plugin_mail_section');
        add_settings_field('aiows_custom_mail_sender_email', 'Enter Custom Mail Sender Email', array($this, 'aiows_custom_mail_sender_email'), 'aiows_plugin_mail_section' , 'aiows_plugin_mail_section');
        add_settings_field('aiows_disable_wp_core_update_email_checkbox', 'Disable WordPress Core Update Email Notification', array($this, 'aiows_disable_wp_core_update_email_checkbox_setting'), 'aiows_plugin_mail_section' , 'aiows_plugin_mail_section');
        add_settings_field('aiows_disable_wp_debug_email_checkbox', 'Disable Debug Emails for Development Versions', array($this, 'aiows_disable_wp_debug_email_checkbox_setting'), 'aiows_plugin_mail_section' , 'aiows_plugin_mail_section');

        add_settings_section('aiows_plugin_header_footer_section', '', array($this, 'aiows_plugin_option_callback'), 'aiows_plugin_header_footer_section');

        add_settings_field('aiows_plugin_header_area', 'Enter Custom Code to Header', array($this, 'aiows_plugin_header_area'), 'aiows_plugin_header_footer_section' , 'aiows_plugin_header_footer_section');
        add_settings_field('aiows_plugin_footer_area', 'Enter Custom Code to Footer', array($this, 'aiows_plugin_footer_area'), 'aiows_plugin_header_footer_section' , 'aiows_plugin_header_footer_section');

        add_settings_section('aiows_plugin_maintenance_section', '', array($this, 'aiows_plugin_option_callback'), 'aiows_plugin_maintenance_section');

        add_settings_field('aiows_enable_maintenance_mode_checkbox', 'Maintenance Mode (Front-end Lockout)', array($this, 'aiows_enable_maintenance_mode_checkbox_setting'), 'aiows_plugin_maintenance_section' , 'aiows_plugin_maintenance_section');
        add_settings_field('aiows_plugin_maintenance_custom_title', 'Custom Title for Maintenance Page', array($this, 'aiows_plugin_maintenance_custom_title_field'), 'aiows_plugin_maintenance_section' , 'aiows_plugin_maintenance_section');
        add_settings_field('aiows_plugin_maintenance_header', 'Custom Heading for Maintenance Page', array($this, 'aiows_plugin_maintenance_header_field'), 'aiows_plugin_maintenance_section' , 'aiows_plugin_maintenance_section');
        add_settings_field('aiows_plugin_maintenance_body', 'Custom Body Element for Maintenance Page', array($this, 'aiows_plugin_maintenance_body_field'), 'aiows_plugin_maintenance_section' , 'aiows_plugin_maintenance_section');

        add_settings_section('aiows_plugin_customize_section', '', array($this, 'aiows_plugin_option_callback'), 'aiows_plugin_customize_section');

        add_settings_field('aiows_custom_admin_footer_text', 'Enter Custom Left Footer Text (HTML tags supported)', array($this, 'aiows_custom_admin_footer_text'), 'aiows_plugin_customize_section' , 'aiows_plugin_customize_section');
        add_settings_field('aiows_custom_right_footer_text', 'Enter Custom Right Footer Text (HTML tags supported)', array($this, 'aiows_custom_right_footer_text'), 'aiows_plugin_customize_section' , 'aiows_plugin_customize_section');
        add_settings_field('aiows_change_pg_perma', 'Enter Custom Page Permalink (applicable site-wide)', array($this, 'aiows_change_pg_perma'), 'aiows_plugin_customize_section' , 'aiows_plugin_customize_section');
        add_settings_field('aiows_add_publish_confirm_popup_checkbox', 'Add Confirmation Popup before Publishing', array($this, 'aiows_add_publish_confirm_popup_checkbox_setting'), 'aiows_plugin_customize_section' , 'aiows_plugin_customize_section');
        add_settings_field('aiows_disable_admin_bar_all_checkbox', 'Disable Admin Top Bar', array($this, 'aiows_disable_admin_bar_all_checkbox_setting'), 'aiows_plugin_customize_section' , 'aiows_plugin_customize_section');
        add_settings_field('aiows_disable_admin_logo_checkbox', 'Remove Admin Bar WP Logo', array($this, 'aiows_disable_admin_logo_checkbox_setting'), 'aiows_plugin_customize_section' , 'aiows_plugin_customize_section');
        add_settings_field('aiows_disable_file_editor_checkbox', 'Disable Themes & Plugins File Editor', array($this, 'aiows_disable_file_editor_checkbox_setting'), 'aiows_plugin_customize_section' , 'aiows_plugin_customize_section');
        add_settings_field('aiows_disable_help_tab_checkbox', 'Disable Help Tab from Dashboard', array($this, 'aiows_disable_help_tab_checkbox_setting'), 'aiows_plugin_customize_section' , 'aiows_plugin_customize_section');
        add_settings_field('aiows_disable_screen_tab_checkbox', 'Disable Screen Options Tab from Dashboard', array($this, 'aiows_disable_screen_tab_checkbox_setting'), 'aiows_plugin_customize_section' , 'aiows_plugin_customize_section');
        add_settings_field('aiows_enable_wp_link_manager_checkbox', 'Enable WordPress Link Manager', array($this, 'aiows_enable_wp_link_manager_checkbox_setting'), 'aiows_plugin_customize_section' , 'aiows_plugin_customize_section');
        add_settings_field('aiows_enable_category_count_checkbox', 'Enable Category Count of Posts', array($this, 'aiows_enable_category_count_checkbox_setting'), 'aiows_plugin_customize_section' , 'aiows_plugin_customize_section');
        add_settings_field('aiows_enable_single_column_dashboard_checkbox', 'Enable Single Column Dashboard', array($this, 'aiows_enable_single_column_dashboard_checkbox_setting'), 'aiows_plugin_customize_section' , 'aiows_plugin_customize_section');
        add_settings_field('aiows_enable_excerpt_on_pages_checkbox', 'Enable Excerpt on Pages', array($this, 'aiows_enable_excerpt_on_pages_checkbox_setting'), 'aiows_plugin_customize_section' , 'aiows_plugin_customize_section');
        add_settings_field('aiows_disable_emoji_checkbox', 'Disable WP Default Emojis', array($this, 'aiows_disable_emoji_checkbox_setting'), 'aiows_plugin_customize_section' , 'aiows_plugin_customize_section');
        add_settings_field('aiows_disable_post_autosave_checkbox', 'Disable Autosave of Posts', array($this, 'aiows_disable_post_autosave_checkbox_setting'), 'aiows_plugin_customize_section' , 'aiows_plugin_customize_section');
        add_settings_field('aiows_disable_post_revision_checkbox', 'Disable Revision  of Posts', array($this, 'aiows_disable_post_revision_checkbox_setting'), 'aiows_plugin_customize_section' , 'aiows_plugin_customize_section');
        add_settings_field('aiows_disable_dns_prefetch_checkbox', 'Disable Auto DNS Prefetch', array($this, 'aiows_disable_dns_prefetch_checkbox_setting'), 'aiows_plugin_customize_section' , 'aiows_plugin_customize_section');
        add_settings_field('aiows_add_support_svg_checkbox', 'Allow SVG File Types in WordPress', array($this, 'aiows_add_support_svg_checkbox_setting'), 'aiows_plugin_customize_section' , 'aiows_plugin_customize_section');

        add_settings_section('aiows_plug_advanced_section', '', array($this, 'aiows_plugin_option_callback'), 'aiows_plug_advanced_section');

        add_settings_field('aiows_disable_texturization_checkbox', 'Disable Texturization - Smart Quotes', array($this, 'aiows_disable_texturization_checkbox_setting'), 'aiows_plug_advanced_section' , 'aiows_plug_advanced_section');
        add_settings_field('aiows_disable_auto_correct_checkbox', 'Disable WP Capitalization Auto Correction', array($this, 'aiows_disable_auto_correct_checkbox_setting'), 'aiows_plug_advanced_section' , 'aiows_plug_advanced_section');
        add_settings_field('aiows_disable_auto_paragraph_checkbox', 'Disable Auto Inserted Paragraphs (i.e. &lt;p&gt;  tags)', array($this, 'aiows_disable_auto_paragraph_checkbox_setting'), 'aiows_plug_advanced_section' , 'aiows_plug_advanced_section');
        add_settings_field('aiows_disable_self_ping_checkbox', 'Disable Self Pingbacks & Trackbacks', array($this, 'aiows_disable_self_ping_checkbox_setting'), 'aiows_plug_advanced_section' , 'aiows_plug_advanced_section');
        add_settings_field('aiows_hide_pages_search_result_checkbox', 'Hide Pages from Frontend Search Results', array($this, 'aiows_hide_pages_search_result_checkbox_setting'), 'aiows_plug_advanced_section' , 'aiows_plug_advanced_section');
        add_settings_field('aiows_disable_wp_search_checkbox', 'Disable WordPress Search Feature', array($this, 'aiows_disable_wp_search_checkbox_setting'), 'aiows_plug_advanced_section' , 'aiows_plug_advanced_section');
        add_settings_field('aiows_replace_howdy_welcome_checkbox', 'Replace &#39;Howdy&#39; text with &#39;Welcome&#39;', array($this, 'aiows_replace_howdy_welcome_checkbox_setting'), 'aiows_plug_advanced_section' , 'aiows_plug_advanced_section');
        add_settings_field('aiows_enable_shortcodes_checkbox', 'Enable Shortcodes Everywhere in Dashboard', array($this, 'aiows_enable_shortcodes_checkbox_setting'), 'aiows_plug_advanced_section' , 'aiows_plug_advanced_section');
        add_settings_field('aiows_remove_page_title_checkbox', 'Remove WordPress text from Dashboard Page Title', array($this, 'aiows_remove_page_title_checkbox_setting'), 'aiows_plug_advanced_section' , 'aiows_plug_advanced_section');
        add_settings_field('aiows_remove_orphan_shortcodes_checkbox', 'Remove Orphan Shortcodes Automatically', array($this, 'aiows_remove_orphan_shortcodes_checkbox_setting'), 'aiows_plug_advanced_section' , 'aiows_plug_advanced_section');
        add_settings_field('aiows_enable_all_plugins_checkbox', 'Enable Option for Disable all Plugins', array($this, 'aiows_enable_all_plugins_checkbox_setting'), 'aiows_plug_advanced_section' , 'aiows_plug_advanced_section');
        add_settings_field('aiows_enable_plugin_last_update_checkbox', 'Enable Plugin Last Update Details', array($this, 'aiows_enable_plugin_last_update_checkbox_setting'), 'aiows_plug_advanced_section' , 'aiows_plug_advanced_section');
        add_settings_field('aiows_enable_sanitize_checkbox', 'Enable Sanitization of WordPress', array($this, 'aiows_enable_sanitize_checkbox_setting'), 'aiows_plug_advanced_section' , 'aiows_plug_advanced_section');
        add_settings_field('aiows_disable_selection_patent_checkbox', 'Disable Selection of Parent Category', array($this, 'aiows_disable_selection_patent_checkbox_setting'), 'aiows_plug_advanced_section' , 'aiows_plug_advanced_section');
        add_settings_field('aiows_enable_categoty_tree_checkbox', 'Enable Category Checklist Tree', array($this, 'aiows_enable_categoty_tree_checkbox_setting'), 'aiows_plug_advanced_section' , 'aiows_plug_advanced_section');
        add_settings_field('aiows_remove_wpsolution_adminbar_checkbox', 'Remove All In One WP Solution from Admin Bar', array($this, 'aiows_remove_wpsolution_adminbar_checkbox_setting'), 'aiows_plug_advanced_section' , 'aiows_plug_advanced_section');
    }

    public function aiows_plugin_option_callback() {
        // no callback as of now
    }

/* ==================================================================

                                 Header

===================================================================== */

    public function aiows_meta_generator_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_remover_options[aiows_meta_generator_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_remove['aiows_meta_generator_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to remove generator meta tag from WP head."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }


	public function aiows_meta_wpmanifest_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_remover_options[aiows_meta_wpmanifest_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_remove['aiows_meta_wpmanifest_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to remove manifest (windows live writer) link from WP head."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_meta_rsd_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_remover_options[aiows_meta_rsd_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_remove['aiows_meta_rsd_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to remove rsd links from WP head."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_meta_short_links_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_remover_options[aiows_meta_short_links_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_remove['aiows_meta_short_links_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to remove shortlinks from WP head."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_posts_rel_link_wp_head_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_remover_options[aiows_posts_rel_link_wp_head_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_remove['aiows_posts_rel_link_wp_head_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to remove next and previous post links from WP head."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

	public function aiows_meta_feed_disable_checkbox_setting() {

        $items = array("No Action", "Remove Only", "Remove & Disable");
    echo "<select id='drop_down1' name='aiows_plugin_remover_options[aiows_meta_feed_disable_checkbox]'>";
    foreach($items as $item) {
        $selected = ($this->options_remove['aiows_meta_feed_disable_checkbox'] == $item) ? 'selected="selected"' : '';
        echo "<option value='$item' $selected>$item</option>";
    }
    echo "</select>";

        ?>&nbsp;&nbsp;<span class="tooltip" title="Select particular option if you want to remove or disable all wordpress feeds."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

	public function aiows_meta_xml_rpc_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_remover_options[aiows_meta_xml_rpc_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_remove['aiows_meta_xml_rpc_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to disable wordpress xml-rpc fuctionality (not recommended as it is required for other plugins like Jetpack)."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_disable_wpjson_restapi_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_remover_options[aiows_disable_wpjson_restapi_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_remove['aiows_disable_wpjson_restapi_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to disable wordpress json and rest api."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

/* ==================================================================

                               Privacy

===================================================================== */

    public function aiows_ver_remove_style_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_privacy_settings[aiows_ver_remove_style_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_privacy['aiows_ver_remove_style_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to remove wordpress version number from stylesheets (not logged in user only)."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }


    public function aiows_ver_remove_script_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_privacy_settings[aiows_ver_remove_script_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_privacy['aiows_ver_remove_script_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to remove wordpress version number from scripts (not logged in user only)."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }


    public function aiows_ver_remove_script_exclude_css() {
        ?>
        <textarea placeholder="Enter comma separated list of file names (Stylesheet/Script files) to exclude them from version removal process. Version info will be kept for these files." name="aiows_plugin_privacy_settings[aiows_ver_remove_script_exclude_css]" rows="7" cols="60" style="resize:none;"><?php if (isset($this->options_privacy['aiows_ver_remove_script_exclude_css'])) { echo $this->options_privacy['aiows_ver_remove_script_exclude_css']; } ?></textarea>
        <?php
    }

/* ==================================================================

                                 Login

===================================================================== */

    public function aiows_login_with_username_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_login_page_settings[aiows_login_with_username_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_login['aiows_login_with_username_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to login to dashboard with username only."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }


    public function aiows_disable_login_error_hint_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_login_page_settings[aiows_disable_login_error_hint_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_login['aiows_disable_login_error_hint_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to disable wordpress login error hints."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }


    public function aiows_disable_login_page_shake_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_login_page_settings[aiows_disable_login_page_shake_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_login['aiows_disable_login_page_shake_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to remove shaking effect from login page."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php

    }

    public function aiows_admin_bar_login_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_login_page_settings[aiows_admin_bar_login_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_login['aiows_admin_bar_login_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to add option in admin bar to login or register."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php

    }

    public function aiows_remove_logo_title_checkbox_setting() {
        ?>
        <label class="switch">
        <input id="CB1" name="aiows_plugin_login_page_settings[aiows_remove_logo_title_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_login['aiows_remove_logo_title_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to remove or add a custom login page logo title."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php

    }

    public function aiows_custom_login_logo_title() {
        ?>
        <input id="CL1" name="aiows_plugin_login_page_settings[aiows_custom_login_logo_title]" type="text" size="70" placeholder="Leave it blank, if you want to remove login logo tilte." value="<?php if (isset($this->options_login['aiows_custom_login_logo_title'])) { echo $this->options_login['aiows_custom_login_logo_title']; } ?>" />
    &nbsp;&nbsp;<span class="tooltip" title="Enter custom login page logo title here. Enable 'Remove or Change Login Logo Title' to enable this field."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_remove_default_login_logo_checkbox_setting() {
        ?>
        <label class="switch">
        <input id="CB2" name="aiows_plugin_login_page_settings[aiows_remove_default_login_logo_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_login['aiows_remove_default_login_logo_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to remove or define your custom login page logo image."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php

    }

    public function aiows_custom_login_logo_upload() {
        ?>
        <input id="CL2" name="aiows_plugin_login_page_settings[aiows_custom_login_logo_upload]" type="url" size="70" placeholder="Leave it blank, if you want to remove login logo image." value="<?php if (isset($this->options_login['aiows_custom_login_logo_upload'])) { echo $this->options_login['aiows_custom_login_logo_upload']; } ?>" />
  &nbsp;&nbsp;<span class="tooltip" title="Enter custom login page logo here. Enable 'Remove or Change Login Page Logo' to enable this field."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_change_wp_login_logo_link_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_login_page_settings[aiows_change_wp_login_logo_link_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_login['aiows_change_wp_login_logo_link_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to change login logo link to your site's url."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

/* ==================================================================

                                 Security

===================================================================== */

    public function aiows_disable_user_enu_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_security_settings[aiows_disable_user_enu_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_security['aiows_disable_user_enu_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to stop users enumeration."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }


    public function aiows_enable_iframe_protection_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_security_settings[aiows_enable_iframe_protection_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_security['aiows_enable_iframe_protection_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to stop other sites from displaying your content in a frame or iframe."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_enable_no_sniff_header_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_security_settings[aiows_enable_no_sniff_header_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_security['aiows_enable_no_sniff_header_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to send the 'X-Content-Type-Options: nosniff' header to prevent Internet Explorer and Google Chrome from MIME-sniffing away from the declared Content-Type."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_enable_xss_header_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_security_settings[aiows_enable_xss_header_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_security['aiows_enable_xss_header_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to send the 'X-XSS-Protection' header to prevent Internet Explorer and Google Chrome from page loading when they detect reflected cross-site scripting (XSS) attacks."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }


    public function aiows_replace_mixed_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_security_settings[aiows_replace_mixed_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_security['aiows_replace_mixed_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to fix mixed content error on a SSL site (appllicable for not logged in users only)."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }


    public function aiows_cf_flex_ssl_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_security_settings[aiows_cf_flex_ssl_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_security['aiows_cf_flex_ssl_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to fix loop of CloudFlare flexible SSL."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }


    public function aiows_disable_copy_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_security_settings[aiows_disable_copy_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_security['aiows_disable_copy_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to disable the 'Right Click', 'Text Selection' and 'Copy' option on the front end of your site (not applicable for logged in users)."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_enable_hsts_checkbox_setting() {

    $items = array("Disable", "Enable Only", "Enable with Preloading");
    echo "<select id='drop_down1' name='aiows_plugin_security_settings[aiows_enable_hsts_checkbox]'>";
    foreach($items as $item) {
        $selected = ($this->options_security['aiows_enable_hsts_checkbox'] == $item) ? 'selected="selected"' : '';
        echo "<option value='$item' $selected>$item</option>";
    }
    echo "</select>";

    ?>
       &nbsp;<span class="tooltip" title="Enable this if you want to enable HTTP Strict Transport Security (HSTS)."><span title="" class="dashicons dashicons-editor-help"></span></span>
    <?php
    }

    public function aiows_force_ssl_detect_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_security_settings[aiows_force_ssl_detect_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_security['aiows_force_ssl_detect_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you are a advanced user. This option is useful when your website is behind a load balancer and the SSL encryption is handled by the loadbalancer itself."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

/* ==================================================================

                               Update

===================================================================== */

    public function aiows_auto_plugin_update_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_update_settings[aiows_auto_plugin_update_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_update['aiows_auto_plugin_update_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to enable automatic plugins update."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_auto_theme_update_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_update_settings[aiows_auto_theme_update_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_update['aiows_auto_theme_update_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to enable automatic themes update."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_auto_tran_update_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_update_settings[aiows_auto_tran_update_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_update['aiows_auto_tran_update_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to enable auto translation updates."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_wp_update_core_checkbox_setting() {

    $items = array("Minor", "Major", "Development", "Disable");
    echo "<select id='drop_down1' name='aiows_plugin_update_settings[aiows_wp_update_core_checkbox]'>";
    foreach($items as $item) {
        $selected = ($this->options_update['aiows_wp_update_core_checkbox']==$item) ? 'selected="selected"' : '';
        echo "<option value='$item' $selected>$item</option>";
    }
    echo "</select>";

        ?>&nbsp;&nbsp;<span class="tooltip" title="Select WordPress auto code update level from here. 'Minor' is default."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_enable_update_vcs_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_update_settings[aiows_enable_update_vcs_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_update['aiows_enable_update_vcs_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to enable updates for WP VCS installations."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

/* ==================================================================

                            Mailing

===================================================================== */

    public function aiows_send_email_on_login_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_mail_settings[aiows_send_email_on_login_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_mail['aiows_send_email_on_login_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to receive notification when a user logs in to dashboard."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_custom_mail_sender_name() {
        ?>
        <input name="aiows_plugin_mail_settings[aiows_custom_mail_sender_name]" type="text" size="70" placeholder="Mail Sender Name" value="<?php if (isset($this->options_mail['aiows_custom_mail_sender_name'])) { echo $this->options_mail['aiows_custom_mail_sender_name']; } ?>" />
        &nbsp;&nbsp;<span class="tooltip" title="Enter custom WordPress mail sender name. Leave it blank, to use default mail sender name."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_custom_mail_sender_email() {
        ?>
        <input name="aiows_plugin_mail_settings[aiows_custom_mail_sender_email]" type="email" size="70" placeholder="demo@yourdomain.com" value="<?php if (isset($this->options_mail['aiows_custom_mail_sender_email'])) { echo $this->options_mail['aiows_custom_mail_sender_email']; } ?>" />
        &nbsp;&nbsp;<span class="tooltip" title="Enter custom WordPress mail sender email. Leave it blank, to use default mail sender email."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_disable_wp_core_update_email_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_mail_settings[aiows_disable_wp_core_update_email_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_mail['aiows_disable_wp_core_update_email_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to disable wordpress core update notification email."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_disable_wp_debug_email_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_mail_settings[aiows_disable_wp_debug_email_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_mail['aiows_disable_wp_debug_email_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to disable notification for development version."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

/* ==================================================================

                            Header & Footer

===================================================================== */

public function aiows_plugin_header_area() {
        ?>
        <textarea placeholder="Enter your custom header code here." name="aiows_plugin_header_footer_settings[aiows_plugin_header_area]" rows="10" cols="75"><?php if (isset($this->options_header_footer['aiows_plugin_header_area'])) { echo $this->options_header_footer['aiows_plugin_header_area']; } ?></textarea>
        <br>These snippets will be printed in the &lt;head&gt; section.
        <?php
    }


public function aiows_plugin_footer_area() {
        ?>
        <textarea placeholder="Enter your custom footer code here." name="aiows_plugin_header_footer_settings[aiows_plugin_footer_area]" rows="10" cols="75"><?php if (isset($this->options_header_footer['aiows_plugin_footer_area'])) { echo $this->options_header_footer['aiows_plugin_footer_area']; } ?></textarea>
        <br>These snippets will be printed above the &lt;/body&gt; tag.
        <?php
    }

/* ==================================================================

                            Maintenance

===================================================================== */

public function aiows_enable_maintenance_mode_checkbox_setting() {

    $items = array("Enable", "Disable");
    echo "<select id='drop_down1' name='aiows_plugin_maintenance_settings[aiows_enable_maintenance_mode_checkbox]'>";
    foreach($items as $item) {
        $selected = ($this->options_maintenance['aiows_enable_maintenance_mode_checkbox']==$item) ? 'selected="selected"' : '';
        echo "<option value='$item' $selected>$item</option>";
    }
    echo "</select>";

        ?>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to enable maintenance mode (not applicable for logged in users)."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

public function aiows_plugin_maintenance_custom_title_field() {
        ?>
        <input name="aiows_plugin_maintenance_settings[aiows_plugin_maintenance_custom_title]" type="text" size="70" placeholder="Leave it blank, if you want to remove login logo tilte." value="<?php if (isset($this->options_maintenance['aiows_plugin_maintenance_custom_title'])) { echo $this->options_maintenance['aiows_plugin_maintenance_custom_title']; } ?>" />
  &nbsp;&nbsp;<span class="tooltip" title="Enter custom title for maintenance page here."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

public function aiows_plugin_maintenance_header_field() {
        ?>
        <input name="aiows_plugin_maintenance_settings[aiows_plugin_maintenance_header]" type="text" size="70" placeholder="Leave it blank, if you want to remove login logo tilte." value="<?php if (isset($this->options_maintenance['aiows_plugin_maintenance_header'])) { echo $this->options_maintenance['aiows_plugin_maintenance_header']; } ?>" />
  &nbsp;&nbsp;<span class="tooltip" title="Enter custom title for maintenance page here."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

public function aiows_plugin_maintenance_body_field() {

    $args = array("textarea_name" => "aiows_plugin_maintenance_settings[aiows_plugin_maintenance_body]");
    wp_editor( $this->options_maintenance['aiows_plugin_maintenance_body'], "aiows_plugin_maintenance_body_content", $args );
    }

/* ==================================================================

                              Customize

===================================================================== */

    public function aiows_custom_admin_footer_text() {
        ?>
        <input name="aiows_plugin_customize_settings[aiows_custom_admin_footer_text]" type="text" size="70" placeholder="Thank you for creating with WordPress." value="<?php if (isset($this->options_customize['aiows_custom_admin_footer_text'])) { echo $this->options_customize['aiows_custom_admin_footer_text']; } ?>" />
        &nbsp;&nbsp;<span class="tooltip" title="Enter custom left admin footer text here (HTML tags supported). Use blankspace to remove footer text."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_custom_right_footer_text() {
        ?>
        <input name="aiows_plugin_customize_settings[aiows_custom_right_footer_text]" type="text" size="70" placeholder="Version <?php printf( get_bloginfo ( 'version' ) ); ?>" value="<?php if (isset($this->options_customize['aiows_custom_right_footer_text'])) { echo $this->options_customize['aiows_custom_right_footer_text']; } ?>" />
        &nbsp;&nbsp;<span class="tooltip" title="Enter custom right admin footer text here (HTML tags supported). Use blankspace to remove footer text."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_change_pg_perma() { ?>
        <span class="custom_pl"><?php echo get_site_url(); ?>/ </span><input name="aiows_plugin_customize_settings[aiows_change_pg_perma]" type="text" size="39" placeholder="%pagename%/" value="<?php if (isset($this->options_customize['aiows_change_pg_perma'])) { echo $this->options_customize['aiows_change_pg_perma']; } ?>" />
  &nbsp;&nbsp;<span class="tooltip" title="Enter custom page permalink here. Use trailing slash only if it has been set in the permalink structure."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }


    public function aiows_add_publish_confirm_popup_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_customize_settings[aiows_add_publish_confirm_popup_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_customize['aiows_add_publish_confirm_popup_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to add a warning to avoid accidental publishing."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_disable_admin_bar_all_checkbox_setting() {

    $items = array("Not Disable", "For All Users", "For All Users Except Administrator");
    foreach($items as $item) {
        $checked = ($this->options_customize['aiows_disable_admin_bar_all_checkbox'] == $item) ? ' checked="checked" ' : '';
        echo "<label><input ".$checked." value='$item' name='aiows_plugin_customize_settings[aiows_disable_admin_bar_all_checkbox]' type='radio' /> $item</label><p>";
    }
        ?><!--span class="tooltip" title="Enable this if you want to add a warning to avoid accidental publishing."><span title="" class="dashicons dashicons-editor-help"></span></span-->
        <?php
    }

    public function aiows_disable_admin_logo_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_customize_settings[aiows_disable_admin_logo_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_customize['aiows_disable_admin_logo_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to remove wp logo from admin bar."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }


    public function aiows_disable_file_editor_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_customize_settings[aiows_disable_file_editor_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_customize['aiows_disable_file_editor_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to disable file editor."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_disable_help_tab_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_customize_settings[aiows_disable_help_tab_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_customize['aiows_disable_help_tab_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to disable help tab from dashboard."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_disable_screen_tab_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_customize_settings[aiows_disable_screen_tab_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_customize['aiows_disable_screen_tab_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to disable screen options tab from dashboard."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_enable_wp_link_manager_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_customize_settings[aiows_enable_wp_link_manager_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_customize['aiows_enable_wp_link_manager_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to enable WordPress default link manager which was disabled by default in WordPress 3.5."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_enable_category_count_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_customize_settings[aiows_enable_category_count_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_customize['aiows_enable_category_count_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to enable category count in posts page."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_enable_single_column_dashboard_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_customize_settings[aiows_enable_single_column_dashboard_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_customize['aiows_enable_single_column_dashboard_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to enable WordPress single column dashboard."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_enable_excerpt_on_pages_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_customize_settings[aiows_enable_excerpt_on_pages_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_customize['aiows_enable_excerpt_on_pages_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to enable excerpt on pages. This will add an excerpt box in page edit page."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_disable_emoji_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_customize_settings[aiows_disable_emoji_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_customize['aiows_disable_emoji_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to disable wordpress default emojis. It will enable svg emojis."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }


    public function aiows_disable_post_autosave_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_customize_settings[aiows_disable_post_autosave_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_customize['aiows_disable_post_autosave_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to disable posts autosave."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }


    public function aiows_disable_post_revision_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_customize_settings[aiows_disable_post_revision_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_customize['aiows_disable_post_revision_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to disable posts revision."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }


    public function aiows_disable_dns_prefetch_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_customize_settings[aiows_disable_dns_prefetch_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_customize['aiows_disable_dns_prefetch_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to disable DNS Prefetch."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_add_support_svg_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_customize_settings[aiows_add_support_svg_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_customize['aiows_add_support_svg_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to enable excerpt on pages. This will add an excerpt box in page edit page."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

/* ==================================================================

                               Advanced

===================================================================== */

    public function aiows_disable_texturization_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_advanced_settings[aiows_disable_texturization_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_advanced['aiows_disable_texturization_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to disable Texturization - Smart Quotes."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }


    public function aiows_disable_auto_correct_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_advanced_settings[aiows_disable_auto_correct_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_advanced['aiows_disable_auto_correct_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to disable auto correction of WP Capitalization."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }


    public function aiows_disable_auto_paragraph_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_advanced_settings[aiows_disable_auto_paragraph_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_advanced['aiows_disable_auto_paragraph_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to disable auto insert of <p> tags."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }


    public function aiows_disable_self_ping_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_advanced_settings[aiows_disable_self_ping_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_advanced['aiows_disable_self_ping_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to disable self pingbacks and trackbacks."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_hide_pages_search_result_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_advanced_settings[aiows_hide_pages_search_result_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_advanced['aiows_hide_pages_search_result_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to hide all pages from search results."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_disable_wp_search_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_advanced_settings[aiows_disable_wp_search_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_advanced['aiows_disable_wp_search_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to disable from search result feature (it sends 404)."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_replace_howdy_welcome_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_advanced_settings[aiows_replace_howdy_welcome_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_advanced['aiows_replace_howdy_welcome_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to replace 'Howdy with 'Welcome' in admin bar."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_enable_shortcodes_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_advanced_settings[aiows_enable_shortcodes_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_advanced['aiows_enable_shortcodes_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to enable shortcodes everywhere of wp dashboard."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

     public function aiows_remove_page_title_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_advanced_settings[aiows_remove_page_title_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_advanced['aiows_remove_page_title_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you not want to print 'WordPress' text in admin area title."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_enable_sanitize_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_advanced_settings[aiows_enable_sanitize_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_advanced['aiows_enable_sanitize_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Removes symbols, spaces, latin and other languages characters from uploaded files and gives them 'permalink' structure (clean characters, only lowercase and dahes)."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_enable_all_plugins_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_advanced_settings[aiows_enable_all_plugins_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_advanced['aiows_enable_all_plugins_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to add a option to temporary disable all plugin. Option shows in plugin page if more than one plugins is activated."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_enable_plugin_last_update_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_advanced_settings[aiows_enable_plugin_last_update_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_advanced['aiows_enable_plugin_last_update_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to add a option to show plugin's last update details."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_remove_orphan_shortcodes_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_advanced_settings[aiows_remove_orphan_shortcodes_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_advanced['aiows_remove_orphan_shortcodes_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to remove orphan shortcodes from wordpress site."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_disable_selection_patent_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_advanced_settings[aiows_disable_selection_patent_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_advanced['aiows_disable_selection_patent_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to disable selection of parent categories."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_enable_categoty_tree_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_advanced_settings[aiows_enable_categoty_tree_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_advanced['aiows_enable_categoty_tree_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to enable category checklist tree. On the post editing screen, after saving a post, you will notice that the checked categories are displayed on top, breaking the category hierarchy. This option removes that feature. Additionally, it automatically scrolls to the first checked category."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }

    public function aiows_remove_wpsolution_adminbar_checkbox_setting() {
        ?>
        <label class="switch">
        <input name="aiows_plugin_advanced_settings[aiows_remove_wpsolution_adminbar_checkbox]" type="checkbox" value="1"<?php checked( 1 == isset($this->options_advanced['aiows_remove_wpsolution_adminbar_checkbox'] )); ?> />
        <div class="slider"></div></label>&nbsp;&nbsp;<span class="tooltip" title="Enable this if you want to remove WP Solution option from admin bar."><span title="" class="dashicons dashicons-editor-help"></span></span>
        <?php
    }
}
}

?>
